# DARefine

Creates a new distributed array that is a refinement of a given distributed array.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DARefine(DA da,MPI_Comm comm,DA *daref)

Collective on DA

### Input Parameter

| da | - initial distributed array
| comm | - communicator to contain refined DA, must be either same as the da communicator or include the da communicator and be 2, 4, or 8 times larger. Currently ignored

### Output Parameter

daref -refined distributed array

### Note

Currently, refinement consists of just doubling the number of grid spaces in each dimension of the DA.

### Keywords

distributed array, refine

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy()

Level:advanced
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex3.c.html